Breadcrumbs

Metavault API - Get a hub reference of a link

GetHubReference - GET

Path

/api/projects/{projectId}/model/links/{linkId}/hubreferences/{hrId}

Http Method

GET

Overview

Get a hub reference of a link

Required permissions

  • Write access to the Build module. BUILD READ

Request

Path parameters

Parameter

Type

Required

Description

Example

linkId

string

Yes

The id of the link to get the hub reference for.

 

hrId

string

Yes

The id of the hub reference


Response

Success response (200 OK)

JSON
{
  "self": "/api/projects/{projectId}/model/links/{linkId}/hubreferences/{hrId}",
  "id": "hr-12345",
  "columnName": "CUSTOMER_HK",
  "order": 0,
  "hubId": "hub-123",
  "linkId": "link-12345",
  "_links": {
    "hub": "/api/projects/{projectId}/model/hubs/hub-123"
  },
  "_embedded": {
    "hub": {
      "self": "/api/projects/{projectId}/model/hubs/hub-123",
      "id": "hub-123",
      "name": "CustomerHub"
    }
  }
}
Response fields

Field

Type

Description

self

string

Url to get the hub reference of the link

id

string

Hub reference identifier

columnName

string

Column name for the hub reference

order

integer

Order of the hub reference

hubid

string

ID of the referenced hub

linkId

string

ID of the link

Name

Link

Constraints

hub